Announcement Announcement Module
Collapse
No announcement yet.
STS 3.0.0.M1 released Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • STS 3.0.0.M1 released

    Dear Spring Community,

    I am happy to announce the first milestone release 3.0.0.M1 of the SpringSource Tool Suite (STS).

    Highlights from this milestone include:
    • the distribution now ships on top of the Eclipse Juno M6 (4.2M6) packages.
    • updated to tc Server 2.6.5
    • some improvements around Spring-related content-assists and code templates
    • Groovy 2.0 support
    • Grails 2.0.3 support
    • Java7 support for AspectJ/AJDT
    Since the Eclipse Juno release in June will be based on the new Eclipse 4.2 platform (instead of the 3.x development stream), we decided to ship this milestone build of STS based on the latest Juno milestone builds instead of the latest Indigo SR2 release. We expect a lot of fixes in the Eclipse platform until the final Eclipse version ships in June, so some glitches that you might experience using this M1 build of STS will be fixed for the release. Nevertheless we would like to encourage you to give this M1 build a try and report problems and incompatibilities that you experience while using it.

    In addition to the distribution we still provide 3.7-compatible update sites, so you can continue to use your existing Indigo-based STS installation and update to the 3.0 version of STS. Support for Eclipse Helios (3.6) will not be provided with STS 3.0.

    More details can be found in the 3.0.0.M1 New and Noteworthy document.
    As always downloads are available from the STS download page.

    Regards,
    Martin

  • #2
    Is the "project" menu supposed to be missing? Eg. I even went into customize perspective, and it is checked - but not visible.

    - Peter

    ** Update: After drilling through the window/customize menu and enabling all command groups that include a project menu, the project menu reappeared Plugin in question was flex.
    Last edited by peterdnight; May 7th, 2012, 11:57 AM.

    Comment


    • #3
      Hey Peter!

      Good to hear you got it back!!! :-)
      And thanks for letting us know!

      -Martin

      Comment


      • #4
        My 2.9 STS upgraded to 3.0.0.M1

        Should my 2.9 install have upgraded to 3.0.0.M1? I'm struggling with certain things not working correctly. Frustrating:

        e.g. https://issuetracker.springsource.co...#comment-59680

        Comment


        • #5
          Hey!

          Your STS 2.9 installation should not be upgraded automatically to 3.0.0.M1. Can you check the list of available update sites for any milestone or snapshot update site URLs that might be in there and that maybe caused this?

          (sometimes it is a bit mysterious what Eclipse silently updates when you install additional stuff)

          I guess this is also a result of this partially updated installation:
          https://issuetracker.springsource.com/browse/STS-2627

          As commented on the bug, you could try to find out from the installation history when this accident happened and try to revert to the state before that step. The other way would be to install a fresh copy of STS from the distribution.

          HTH,
          Martin

          Comment


          • #6
            STS 3 won't start after installing Grails

            I just did a clean install of STS 3, then added Grails tooling and restarted STS
            (I vaguely recall some console messages about OSGi, but didn't pay attention cos everything seemed to be working - doh! silly me now)
            added Gradle restarted STS
            allowed 4 updates to install, then allowed STS to restart
            Added Groovy, allowed STS restart
            Added Grails. then during restart of STS it bombed with the error log below.

            Environment is WinXP SP3. STS 2.9 been running fine in the past.

            What should I do now, please?


            Code:
            !SESSION 2012-05-30 09:45:23.852 -----------------------------------------------
            eclipse.buildId=3.0.0.201205010613-M1-e42
            java.version=1.6.0_06
            java.vendor=Sun Microsystems Inc.
            BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_GB
            Framework arguments:  -product com.springsource.sts.ide
            Command-line arguments:  -os win32 -ws win32 -arch x86 -product com.springsource.sts.ide
            
            !ENTRY org.eclipse.osgi 4 0 2012-05-30 09:45:26.305
            !MESSAGE FrameworkEvent ERROR
            !STACK 0
            org.osgi.framework.BundleException: Exception in org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start() of bundle org.eclipse.osgi.
            	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:734)
            	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683)
            	at org.eclipse.osgi.framework.internal.core.InternalSystemBundle.resume(InternalSystemBundle.java:225)
            	at org.eclipse.osgi.framework.internal.core.Framework.launch(Framework.java:657)
            	at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:274)
            	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:176)
            	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
            	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
            	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
            	at java.lang.reflect.Method.invoke(Unknown Source)
            	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
            	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
            	at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
            Caused by: java.lang.IllegalStateException: Expected to find an object at table index: 1047
            	at org.eclipse.osgi.internal.resolver.StateReader.getFromObjectTable(StateReader.java:81)
            	at org.eclipse.osgi.internal.resolver.StateReader.readExportPackageDesc(StateReader.java:411)
            	at org.eclipse.osgi.internal.resolver.StateReader.readExportPackageDesc(StateReader.java:420)
            	at org.eclipse.osgi.internal.resolver.StateReader.readBundleDescriptionLazyData(StateReader.java:297)
            	at org.eclipse.osgi.internal.resolver.StateReader.fullyLoad(StateReader.java:809)
            	at org.eclipse.osgi.internal.resolver.BundleDescriptionImpl.loadLazyData(BundleDescriptionImpl.java:662)
            	at org.eclipse.osgi.internal.resolver.BundleDescriptionImpl.getExportPackages(BundleDescriptionImpl.java:160)
            	at org.eclipse.osgi.framework.internal.core.PackageAdminImpl.setFrameworkVersion(PackageAdminImpl.java:708)
            	at org.eclipse.osgi.framework.internal.core.PackageAdminImpl.setResolvedBundles(PackageAdminImpl.java:658)
            	at org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start(SystemBundleActivator.java:67)
            	at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:711)
            	at java.security.AccessController.doPrivileged(Native Method)
            	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:702)
            	... 12 more
            Root exception:
            java.lang.IllegalStateException: Expected to find an object at table index: 1047
            	at org.eclipse.osgi.internal.resolver.StateReader.getFromObjectTable(StateReader.java:81)
            	at org.eclipse.osgi.internal.resolver.StateReader.readExportPackageDesc(StateReader.java:411)
            	at org.eclipse.osgi.internal.resolver.StateReader.readExportPackageDesc(StateReader.java:420)
            	at org.eclipse.osgi.internal.resolver.StateReader.readBundleDescriptionLazyData(StateReader.java:297)
            	at org.eclipse.osgi.internal.resolver.StateReader.fullyLoad(StateReader.java:809)
            	at org.eclipse.osgi.internal.resolver.BundleDescriptionImpl.loadLazyData(BundleDescriptionImpl.java:662)
            	at org.eclipse.osgi.internal.resolver.BundleDescriptionImpl.getExportPackages(BundleDescriptionImpl.java:160)
            	at org.eclipse.osgi.framework.internal.core.PackageAdminImpl.setFrameworkVersion(PackageAdminImpl.java:708)
            	at org.eclipse.osgi.framework.internal.core.PackageAdminImpl.setResolvedBundles(PackageAdminImpl.java:658)
            	at org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start(SystemBundleActivator.java:67)
            	at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:711)
            	at java.security.AccessController.doPrivileged(Native Method)
            	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:702)
            	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683)
            	at org.eclipse.osgi.framework.internal.core.InternalSystemBundle.resume(InternalSystemBundle.java:225)
            	at org.eclipse.osgi.framework.internal.core.Framework.launch(Framework.java:657)
            	at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:274)
            	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:176)
            	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
            	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
            	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
            	at java.lang.reflect.Method.invoke(Unknown Source)
            	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
            	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
            	at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
            
            !ENTRY org.eclipse.osgi 4 0 2012-05-30 09:45:26.321
            !MESSAGE Startup error
            !STACK 1

            Comment


            • #7
              Hey!

              Can you try to start STS with the "-clean" option? Your error log looks like the OSGi runtime metadata is somehow broken...

              HTH,
              Martin

              Comment


              • #8
                Martin,

                That's a useful spell to know! STS window now appears, however console is still showing the messages below:
                Code:
                bash-3.2$ which STS
                /cygdrive/g/GENERAL/devenv/springsource/springsource-tool-suite-3.0.0.M1-e4.2-win32/springsource/sts-3.0.0.M1/STS
                bash-3.2$ STS -clean
                java.lang.reflect.InvocationTargetException
                        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
                        at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
                        at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
                        at java.lang.reflect.Method.invoke(Unknown Source)
                        at org.eclipse.equinox.weaving.aspectj.AspectJWeavingActivator.start(Unknown Source)
                        at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:711)
                        at java.security.AccessController.doPrivileged(Native Method)
                        at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:702)
                        at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683)
                        at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:381)
                        at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:390)
                        at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1177)
                        at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:559)
                        at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:544)
                        at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:457)
                        at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
                        at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:438)
                        at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:1)
                        at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
                        at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
                Caused by: java.lang.NoClassDefFoundError: org/eclipse/equinox/service/weaving/IWeavingServiceFactory
                        at org.eclipse.equinox.weaving.aspectj.AspectJWeavingStarter.start(Unknown Source)
                        ... 20 more
                Caused by: java.lang.ClassNotFoundException: org.eclipse.equinox.service.weaving.IWeavingServiceFactory
                        at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:455)
                        at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:421)
                        at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:412)
                        at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:107)
                        at java.lang.ClassLoader.loadClass(Unknown Source)
                        at java.lang.ClassLoader.loadClassInternal(Unknown Source)
                        ... 21 more
                30-May-2012 15:18:59 java.util.prefs.WindowsPreferences <init>
                WARNING: Could not open/create prefs root node Software\JavaSoft\Prefs at root 0x80000002. Windows RegCreateKeyEx(...) returned error code 5.
                [Fatal Error] :1:1: Premature end of file.
                I'm guessing that I should be worried about these errors ?

                How do I request a change so that STS doesn't try to go to the registry on Windows - I'm in a corporate loacked down environment so the registry is out of bounds. In any case, the windows registry sounds like the wrong place for any Open Source system to strore config info... ?

                Comment


                • #9
                  Martin,

                  Further to last post, I set Grails 2.0.3 as default, then tried to create a Grails project and STS is hanging...
                  Progress window shows
                  - Updating Maven Dependencies - blocked
                  - Initialising Java Tooling - blocked - this has a green progress bar that got to about 1/3 along then hasn't moved for 10-15mins
                  - Building workspace - waiting
                  - GrailsCommand(CreateApp waiting)

                  Comment


                  • #10
                    Hey!

                    There seems to be a big problem with the latest milestone build and silent updates that are happening when you install additional plugins/features. Are you still trying to work with STS 3.0.0.M1? If so, please take a look at the latest STS 2.9.2 release and start with a fresh installation of that, to see if that is working better in your case.

                    HTH,
                    Martin

                    Comment


                    • #11
                      STS 3.0.0 M1 on MacOSX Cocoax64 with Eclipse 4.2 - Crashed -

                      STS 3.0.0 M1 on MacOSX Cocoax64 with Eclipse 4.2 was working all well until some updates showed up. After installing them without any problem, STS never started again.

                      Here is the trace log.

                      Attachment

                      Code:

                      Code:
                      !SESSION 2012-06-06 11:44:18.044 -----------------------------------------------
                      eclipse.buildId=3.0.0.201205010613-M1-e42
                      java.version=1.6.0_31
                      java.vendor=Apple Inc.
                      BootLoader constants: OS=macosx, ARCH=x86_64, WS=cocoa, NL=en_US
                      Framework arguments:  -product com.springsource.sts.ide -keyring /Users/xxxxxxxx/.eclipse_keyring -showlocation
                      Command-line arguments:  -os macosx -ws cocoa -arch x86_64 -product com.springsource.sts.ide -keyring /Users/xxxxxxxx/.eclipse_keyring -showlocation
                      
                      !ENTRY org.eclipse.osgi 4 0 2012-06-06 11:44:19.083
                      !MESSAGE FrameworkEvent ERROR
                      !STACK 0
                      org.osgi.framework.BundleException: Exception in org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start() of bundle org.eclipse.osgi.
                      	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:734)
                      	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683)
                      	at org.eclipse.osgi.framework.internal.core.InternalSystemBundle.resume(InternalSystemBundle.java:225)
                      	at org.eclipse.osgi.framework.internal.core.Framework.launch(Framework.java:657)
                      	at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:274)
                      	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:176)
                      	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
                      	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
                      	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
                      	at java.lang.reflect.Method.invoke(Method.java:597)
                      	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
                      	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
                      	at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
                      Caused by: java.lang.IllegalStateException: Expected to find an object at table index: 1045
                      	at org.eclipse.osgi.internal.resolver.StateReader.getFromObjectTable(StateReader.java:81)
                      	at org.eclipse.osgi.internal.resolver.StateReader.readExportPackageDesc(StateReader.java:411)
                      	at org.eclipse.osgi.internal.resolver.StateReader.readExportPackageDesc(StateReader.java:420)
                      	at org.eclipse.osgi.internal.resolver.StateReader.readBundleDescriptionLazyData(StateReader.java:297)
                      	at org.eclipse.osgi.internal.resolver.StateReader.fullyLoad(StateReader.java:809)
                      	at org.eclipse.osgi.internal.resolver.BundleDescriptionImpl.loadLazyData(BundleDescriptionImpl.java:662)
                      	at org.eclipse.osgi.internal.resolver.BundleDescriptionImpl.getExportPackages(BundleDescriptionImpl.java:160)
                      	at org.eclipse.osgi.framework.internal.core.PackageAdminImpl.setFrameworkVersion(PackageAdminImpl.java:708)
                      	at org.eclipse.osgi.framework.internal.core.PackageAdminImpl.setResolvedBundles(PackageAdminImpl.java:658)
                      	at org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start(SystemBundleActivator.java:67)
                      	at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:711)
                      	at java.security.AccessController.doPrivileged(Native Method)
                      	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:702)
                      	... 12 more
                      Root exception:
                      java.lang.IllegalStateException: Expected to find an object at table index: 1045
                      	at org.eclipse.osgi.internal.resolver.StateReader.getFromObjectTable(StateReader.java:81)
                      	at org.eclipse.osgi.internal.resolver.StateReader.readExportPackageDesc(StateReader.java:411)
                      	at org.eclipse.osgi.internal.resolver.StateReader.readExportPackageDesc(StateReader.java:420)
                      	at org.eclipse.osgi.internal.resolver.StateReader.readBundleDescriptionLazyData(StateReader.java:297)
                      	at org.eclipse.osgi.internal.resolver.StateReader.fullyLoad(StateReader.java:809)
                      	at org.eclipse.osgi.internal.resolver.BundleDescriptionImpl.loadLazyData(BundleDescriptionImpl.java:662)
                      	at org.eclipse.osgi.internal.resolver.BundleDescriptionImpl.getExportPackages(BundleDescriptionImpl.java:160)
                      	at org.eclipse.osgi.framework.internal.core.PackageAdminImpl.setFrameworkVersion(PackageAdminImpl.java:708)
                      	at org.eclipse.osgi.framework.internal.core.PackageAdminImpl.setResolvedBundles(PackageAdminImpl.java:658)
                      	at org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start(SystemBundleActivator.java:67)
                      	at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:711)
                      	at java.security.AccessController.doPrivileged(Native Method)
                      	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:702)
                      	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683)
                      	at org.eclipse.osgi.framework.internal.core.InternalSystemBundle.resume(InternalSystemBundle.java:225)
                      	at org.eclipse.osgi.framework.internal.core.Framework.launch(Framework.java:657)
                      	at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:274)
                      	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:176)
                      	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
                      	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
                      	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
                      	at java.lang.reflect.Method.invoke(Method.java:597)
                      	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
                      	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
                      	at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
                      
                      !ENTRY org.eclipse.osgi 4 0 2012-06-06 11:44:19.084
                      !MESSAGE Startup error
                      !STACK 1
                      java.lang.RuntimeException: Exception in org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start() of bundle org.eclipse.osgi.
                      	at org.eclipse.osgi.framework.internal.core.InternalSystemBundle.resume(InternalSystemBundle.java:233)
                      	at org.eclipse.osgi.framework.internal.core.Framework.launch(Framework.java:657)
                      	at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:274)
                      	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:176)
                      	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
                      	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
                      	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
                      	at java.lang.reflect.Method.invoke(Method.java:597)
                      	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
                      	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
                      	at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
                      Caused by: org.osgi.framework.BundleException: Exception in org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start() of bundle org.eclipse.osgi.
                      	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:734)
                      	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683)
                      	at org.eclipse.osgi.framework.internal.core.InternalSystemBundle.resume(InternalSystemBundle.java:225)
                      	... 10 more
                      Caused by: java.lang.IllegalStateException: Expected to find an object at table index: 1045
                      	at org.eclipse.osgi.internal.resolver.StateReader.getFromObjectTable(StateReader.java:81)
                      	at org.eclipse.osgi.internal.resolver.StateReader.readExportPackageDesc(StateReader.java:411)
                      	at org.eclipse.osgi.internal.resolver.StateReader.readExportPackageDesc(StateReader.java:420)
                      	at org.eclipse.osgi.internal.resolver.StateReader.readBundleDescriptionLazyData(StateReader.java:297)
                      	at org.eclipse.osgi.internal.resolver.StateReader.fullyLoad(StateReader.java:809)
                      	at org.eclipse.osgi.internal.resolver.BundleDescriptionImpl.loadLazyData(BundleDescriptionImpl.java:662)
                      	at org.eclipse.osgi.internal.resolver.BundleDescriptionImpl.getExportPackages(BundleDescriptionImpl.java:160)
                      	at org.eclipse.osgi.framework.internal.core.PackageAdminImpl.setFrameworkVersion(PackageAdminImpl.java:708)
                      	at org.eclipse.osgi.framework.internal.core.PackageAdminImpl.setResolvedBundles(PackageAdminImpl.java:658)
                      	at org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start(SystemBundleActivator.java:67)
                      	at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:711)
                      	at java.security.AccessController.doPrivileged(Native Method)
                      	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:702)
                      	... 12 more
                      Attached Files

                      Comment


                      • #12
                        Hey!

                        It looks like your M1 installation got corrupted by the update. As mentioned in the post before, there seems to be a problem with the update site and silent updates of the Eclipse platform itself when you update and/or install some unrelated things. I would recommend to use M1 without updating anything or wait for M2 (should be available next week), that should have a more stable update site.

                        HTH,
                        Martin

                        Comment


                        • #13
                          Martin,

                          I've still got my old STS 2.9 so will go back to that. Guess I should keep a look out for 3.0.0.M2 ;-)

                          Gordon

                          Comment


                          • #14
                            I installed STS 3.0.0.M1 Cocoa x64 but this time with Eclipse 3.7 and worked flawless. I guess the trouble is with Eclipse 4.2.

                            Comment


                            • #15
                              This is likely more of an Eclipse question...Is there a way to get rid of the coloring on the toolbars? The light blue fades look silly and are distracting against the rest of the grey background.

                              Comment

                              Working...
                              X